## org.eclipse.emf.mapping.impl
Class MappingHelperImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.mapping.impl.MappingHelperImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, MappingHelper

Direct Known Subclasses:
  MappingStrategyImpl, TypeConverterImpl

    public class MappingHelperImpl

extends EObjectImpl
implements MappingHelper

An implementation of the model object 'Helper'.

The following features are implemented:

- `Mapper`
- `Helped Object`
- `Nested In`
- `Nested`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EObject` `helpedObject` The cached value of the '`Helped Object`' reference
`protected EList<MappingHelper>` `nested` The cached value of the '`Nested`' containment reference list

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `MappingHelperImpl()`

Method Summary
`EObject` `basicGetHelpedObject()`
`NotificationChain` `basicSetMapper(Mapping newMapper, NotificationChain msgs)`
`NotificationChain` `basicSetNestedIn(MappingHelper newNestedIn, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EObject` `getHelpedObject()`
`Mapping` `getMapper()`
`EList<MappingHelper>` `getNested()`
`MappingHelper` `getNestedIn()`
`void` `setHelpedObject(EObject newHelpedObject)`
`void` `setMapper(Mapping newMapper)`
`void` `setNestedIn(MappingHelper newNestedIn)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### helpedObject

    protected EObject helpedObject

  The cached value of the '`Helped Object`' reference.

  See Also:
    `getHelpedObject()`

### nested

    protected EList<MappingHelper> nested

  The cached value of the '`Nested`' containment reference list.

  See Also:
    `getNested()`

Constructor Detail

### MappingHelperImpl

    protected MappingHelperImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### getMapper

    public Mapping getMapper()

  Specified by:
    `getMapper` in interface `MappingHelper`
  Returns:
    the value of the 'Mapper' container reference.
  See Also:
    `MappingHelper.setMapper(Mapping)`, `MappingPackage.getMappingHelper_Mapper()`, `Mapping.getHelper()`

### basicSetMapper

    public NotificationChain basicSetMapper(Mapping newMapper,
                                            NotificationChain msgs)

### setMapper

    public void setMapper(Mapping newMapper)

  Specified by:
    `setMapper` in interface `MappingHelper`
  Parameters:
    `newMapper` - the new value of the 'Mapper' container reference.
  See Also:
    `MappingHelper.getMapper()`

### getHelpedObject

    public EObject getHelpedObject()

  Specified by:
    `getHelpedObject` in interface `MappingHelper`
  Returns:
    the value of the 'Helped Object' reference.
  See Also:
    `MappingHelper.setHelpedObject(EObject)`, `MappingPackage.getMappingHelper_HelpedObject()`

### basicGetHelpedObject

    public EObject basicGetHelpedObject()

### setHelpedObject

    public void setHelpedObject(EObject newHelpedObject)

  Specified by:
    `setHelpedObject` in interface `MappingHelper`
  Parameters:
    `newHelpedObject` - the new value of the 'Helped Object' reference.
  See Also:
    `MappingHelper.getHelpedObject()`

### getNestedIn

    public MappingHelper getNestedIn()

  Specified by:
    `getNestedIn` in interface `MappingHelper`
  Returns:
    the value of the 'Nested In' container reference.
  See Also:
    `MappingHelper.setNestedIn(MappingHelper)`, `MappingPackage.getMappingHelper_NestedIn()`, `MappingHelper.getNested()`

### basicSetNestedIn

    public NotificationChain basicSetNestedIn(MappingHelper newNestedIn,
                                              NotificationChain msgs)

### setNestedIn

    public void setNestedIn(MappingHelper newNestedIn)

  Specified by:
    `setNestedIn` in interface `MappingHelper`
  Parameters:
    `newNestedIn` - the new value of the 'Nested In' container reference.
  See Also:
    `MappingHelper.getNestedIn()`

### getNested

    public EList<MappingHelper> getNested()

  Specified by:
    `getNested` in interface `MappingHelper`
  Returns:
    the value of the 'Nested' containment reference list.
  See Also:
    `MappingPackage.getMappingHelper_Nested()`, `MappingHelper.getNestedIn()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `BasicEObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BasicEObjectImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.